export declare const clientEmail = "aa@aa.aa";
export declare const signUpResp: {
    "id": number;
    "email": string;
    "public_key": string;
    "private_key": string;
    "client_salt": string;
};
export declare const publicUser: {
    "client_salt": string;
};
export declare const loginResp: {
    "user": {
        "id": number;
        "email": string;
        "public_key": string;
        "private_key": string;
        "client_salt": string;
    };
    "token": string;
};
export declare const groupDetailResp: {
    "id": number;
    "name": string;
    "groupuser_set": {
        "id": number;
        "user": number;
        "group": number;
        "is_group_admin": boolean;
    }[];
    "public_key": string;
    "my_key_ciphertext": string;
    "my_private_key_ciphertext": string;
};
export declare const userPublicKeyResp: {
    "id": number;
    "public_key": string;
};
export declare const userAddGroupResp: {
    "user": number;
    "is_group_admin": boolean;
    "group": number;
    "id": number;
};
export declare const secretThroughObj: {
    "id": number;
    "group": any;
    "key_ciphertext": string;
    "data": {
        "password": string;
    };
    "public_key": string;
    "is_mine": boolean;
};
export declare const secretObj: {
    "id": number;
    "name": string;
    "type": string;
    "data": {
        "username": string;
    };
    "secret_through_set": {
        "id": number;
        "group": any;
        "key_ciphertext": string;
        "data": {
            "password": string;
        };
        "public_key": string;
        "is_mine": boolean;
    }[];
};
export declare const groupSecretThroughObj: {
    "id": number;
    "group": number;
    "key_ciphertext": string;
    "data": {
        "password": string;
    };
    "public_key": string;
    "is_mine": boolean;
};
export declare const groupSecretObj: {
    "id": number;
    "name": string;
    "type": string;
    "data": {
        "username": string;
    };
    "secret_through_set": {
        "id": number;
        "group": number;
        "key_ciphertext": string;
        "data": {
            "password": string;
        };
        "public_key": string;
        "is_mine": boolean;
    }[];
};
export declare const createSecretResp: {
    "id": number;
    "name": string;
    "type": string;
    "data": {
        "username": string;
    };
    "secret_through_set": {
        "id": number;
        "group": any;
        "key_ciphertext": string;
        "data": {
            "password": string;
        };
        "public_key": string;
        "is_mine": boolean;
    }[];
};
export declare let updateSecretResp: any;
export declare const getSecretResp: {
    "id": number;
    "name": string;
    "type": string;
    "data": {
        "username": string;
    };
    "secret_through_set": {
        "id": number;
        "group": any;
        "key_ciphertext": string;
        "data": {
            "password": string;
        };
        "public_key": string;
        "is_mine": boolean;
    }[];
};
export declare const listSecretResp: {
    "id": number;
    "name": string;
    "type": string;
    "data": {
        "username": string;
    };
    "secret_through_set": {
        "id": number;
        "group": any;
        "key_ciphertext": string;
        "data": {
            "password": string;
        };
        "public_key": string;
        "is_mine": boolean;
    }[];
}[];
export declare const groupResp: {
    "id": number;
    "name": string;
    "groupuser_set": {
        "id": number;
        "user": number;
        "group": number;
        "is_group_admin": boolean;
    }[];
    "public_key": string;
    "my_key_ciphertext": string;
    "my_private_key_ciphertext": string;
};
export declare const groupsPostResp: {
    id: number;
    name: string;
    slug: string;
};
export declare const groupGetResp: {
    "id": number;
    "name": string;
    "groupuser_set": {
        "id": number;
        "user": number;
        "group": number;
        "is_group_admin": boolean;
    }[];
    "public_key": string;
    "my_key_ciphertext": string;
    "my_private_key_ciphertext": string;
};
