"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function slugify(text) {
    return text.toString().toLowerCase()
        .replace(/\s+/g, "-")
        .replace(/[^\w\-]+/g, "")
        .replace(/\-\-+/g, "-")
        .replace(/^-+/, "")
        .replace(/-+$/, "");
}
exports.slugify = slugify;
//# sourceMappingURL=utils.js.map